ServiceException (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javacard.framework.service
Class ServiceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javacard.framework.CardRuntimeException
                      javacard.framework.service.ServiceException

    @TransactionType(value=NOT_SUPPORTED)
    public class ServiceException

extends CardRuntimeException

`ServiceException` represents a service framework-related exception.

Direct instances of this exception class are not bound to any context and can be passed between contexts without any restrictions. Objects created and returned by the methods of this class are owned by the caller. In particular, a call to the `Throwable.toString()` returns a String instance bound to the owner context of the caller.

See Runtime Environment Specification for the Java Card Platform, Connected Edition, chapter 7 for details regarding transfer of ownership.

Field Summary
`static short` | `CANNOT_ACCESS_IN_COMMAND` This reason code is used to indicate that the command in the `APDU` object cannot be accessed for input processing.
`static short` | `CANNOT_ACCESS_OUT_COMMAND` This reason code is used to indicate that the command in the `APDU` object cannot be accessed for output processing.
`static short` | `COMMAND_DATA_TOO_LONG` This reason code is used to indicate that the incoming data for a command in the `APDU` object does not fit in the APDU buffer.
`static short` | `COMMAND_IS_FINISHED` This reason code is used to indicate that the command in the `APDU` object has been completely processed.
`static short` | `DISPATCH_TABLE_FULL` This reason code is used to indicate that a dispatch table is full.
`static short` | `ILLEGAL_PARAM` This reason code is used to indicate that an input parameter is not allowed.
`static short` | `REMOTE_OBJECT_NOT_EXPORTED` This reason code is used by RMIService to indicate that the remote method returned a remote object which has not been exported.

Constructor Summary
`ServiceException(short reason)` Constructs a `ServiceException`.

Method Summary
`static void` | `throwIt(short reason)` Deprecated. Deprecated for extended applets and web applications on the Connected Edition of the Java Card 3 Platform. Use constructor instead.

Methods inherited from class javacard.framework.CardRuntimeException
`getReason, setReason`

Methods inherited from class java.lang.Throwable
`getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ILLEGAL_PARAM

    public static final short ILLEGAL_PARAM

  This reason code is used to indicate that an input parameter is not allowed.

  See Also:
    Constant Field Values

### DISPATCH_TABLE_FULL

    public static final short DISPATCH_TABLE_FULL

  This reason code is used to indicate that a dispatch table is full.

  See Also:
    Constant Field Values

### COMMAND_DATA_TOO_LONG

    public static final short COMMAND_DATA_TOO_LONG

  This reason code is used to indicate that the incoming data for a command in the `APDU` object does not fit in the APDU buffer.

  See Also:
    Constant Field Values

### CANNOT_ACCESS_IN_COMMAND

    public static final short CANNOT_ACCESS_IN_COMMAND

  This reason code is used to indicate that the command in the `APDU` object cannot be accessed for input processing.

  See Also:
    Constant Field Values

### CANNOT_ACCESS_OUT_COMMAND

    public static final short CANNOT_ACCESS_OUT_COMMAND

  This reason code is used to indicate that the command in the `APDU` object cannot be accessed for output processing.

  See Also:
    Constant Field Values

### COMMAND_IS_FINISHED

    public static final short COMMAND_IS_FINISHED

  This reason code is used to indicate that the command in the `APDU` object has been completely processed.

  See Also:
    Constant Field Values

### REMOTE_OBJECT_NOT_EXPORTED

    public static final short REMOTE_OBJECT_NOT_EXPORTED

  This reason code is used by RMIService to indicate that the remote method returned a remote object which has not been exported.

  See Also:
    Constant Field Values

Constructor Detail

### ServiceException

    public ServiceException(short reason)

  Constructs a `ServiceException`.

  Parameters:
    `reason` - the reason for the exception

Method Detail

### throwIt

    public static void throwIt(short reason)
                        throws ServiceException

  Deprecated. Deprecated for extended applets and web applications on the Connected Edition of the Java Card 3 Platform. Use constructor instead.

  Throws a new instance of `ServiceException` with the specified reason.

  Note that a new instance is thrown upon each call to this method.

  This method is for backward compatibility with Java Card 2.x and for interoperability of classic applet applications with the Java Card 3 Classic edition.

  Parameters:
    `reason` - the reason for the exception
  Throws:
    `ServiceException` - always

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.